:root {
	/* CSS Variables these make it easier because it means I don't have to remember the hex codes */
	--primary: #9cc3de;
	--dark: #3f85b5;
	--light: #dbecf8;
	--maroon: #a61717;
	--shadow: 0 1px 4px rgb(104, 104, 104, 0.8);
	/* This and the one below shows up as an error on the validator but it is fine */
	--text-box: rgba(23, 23, 23, 0.5);
}

html {
	box-sizing: border-box;
	font-family: Arial, Helvetica, sans-serif;
	color: var(--dark);
}

body {
	background: var(--light);
	margin: 30px 50px;
	line-height: 1.4;
}

img {
	max-width: 100%;
}

.wrapper {
	display: grid;
	grid-gap: 10px;
}

/* Navigation */

.main-nav ul {
	display: grid;
	grid-gap: 20px;
	padding: 0;
	list-style: none;
	grid-template-columns: repeat(4, 1fr);
}

.main-nav a {
	background: var(--primary);
	display: block;
	text-decoration: none;
	padding: 0.8rem;
	text-align: center;
	color: var(--dark);
	text-transform: uppercase;
	font-size: 1.1rem;
	box-shadow: var(--shadow);
}

.main-nav a:hover {
	background: var(--dark);
	color: var(--light);
}

/* End of navigation */

/* Top Container*/

.top-container {
	display: grid;
	grid-gap: 20px;
	grid-template-areas: "showcase showcase showcase" "showcase showcase showcase";
}

/*end of top-container */

/* showcase this is the main big image */

.showcase {
	grid-area: showcase;
	min-height: 400px;
	background: url(img/Home/HardTechAndGraphics.jpg);
	background-size: cover;
	background-position: center;
	padding: 3rem;
	display: flex;
	flex-direction: column;
	justify-content: center;
	box-shadow: var(--shadow);
}

.showcase h1 {
	/* This is the header*/
	font-size: 4rem;
	margin-bottom: 0;
	text-align: center;
	color: var(--light);
	background-color: var(--text-box);
	/* this is the text box */
	text-shadow: 2px 2px var(--maroon);
	/* this is the text shadow */
}

.showcase h2 {
	/* This is the smaller text */
	font-size: 2rem;
	margin-top: 0;
	/* This is making it so this text is in the same shadow block a the large text */
	text-align: center;
	color: var(--light);
	background-color: var(--text-box);
	text-shadow: 2px 2px var(--maroon);
}

.showcase p {
	font-size: 1.3rem;
	margin-top: 0;
	color: var(--light);
}

/* end of showcase */

/* boxes, these are the boxes below the main image*/

.boxes {
	display: grid;
	grid-gap: 20px;
	grid-template-columns: repeat(auto-fit, minmax(200px, 1fr))
}

.box {
	background: var(--primary);
	text-align: center;
	padding: 1.5rem 2rem;
	box-shadow: var(--shadow);
}

/* end of boxes */

/* Contact form */

/* End of contact form */

/* footer */

footer {
	margin-top: 2rem;
	background: var(--primary);
	color: var(--dark);
	text-align: center;
	padding: 1rem;
	box-shadow: var(--shadow);
}

/* end of footer */

/* media queries */

@media(max-width: 700px) {
	.showcase {
		background: url(img/Home/Graphics.jpg);
		/* Switching to a smaller image*/
		grid-area: showcase;
		min-height: 400px;
		background-size: cover;
		background-position: center;
		padding: 3rem;
		display: flex;
		flex-direction: column;
		justify-content: center;
		box-shadow: var(--shadow);
	}
	.top-container {
		grid-template-areas: "showcase showcase" "boxes boxes";
	}
	.showcase h1 {
		font-size: 2.5rem;
	}
	.main-nav ul {
		grid-template-columns: 1fr;
	}
}

@media (max-width: 500px) {
	.top-container {
		grid-template-areas: "showcase" "boxes";
	}
	.showcase h1 {
		font-size: 2rem;
	}
	.showcase h2 {
		font-size: 1rem;
	}
}